<?php
//SETTINGS
define(LISTPATH, "liste.csv");//filepath to list
define(NSR, 74);//number of SR-members
?>
<!doctype html>
<html lang="de">
<head>
    <meta charset="utf-8">
    <title>Anwesenheit</title>
    <link href="styles.css" rel="stylesheet" />
    <style>
        td{
        	border: 1px solid black;
        	height: 30px;
        	width: 80px;
        	text-align: center;
        }
        
        td#select{
        	width: 25px;
        }
        
        #bold{
        	font-weight: bold;
        }
        
        table{
        	border-collapse: collapse;
        }
        
        button#send{
        	background-color: #4285F4;
        	margin-left: 140px;
        	color: white;
        	border: none;
        	height: 40px;
        	width: 120px;
        	border-radius: 20px;
        }
    </style>
</head>
<body>
<?php
if (($handle = fopen(LISTPATH, "r")) !== false) {
    $data = array();
    while (($line = fgetcsv($handle)) !== false) {
        array_push($data, $line);
    }
    fclose($handle);
}

if (!isset($_GET['sent'])){
?>
  <form method="post" action="?sent=1">
    <table>
      <th>
        <td id="bold">Klasse</td>
        <td id="bold">Nachname</td>
        <td id="bold">Vorname</td>
      </th>
<?php
foreach ($data as $i => $p){
?>
      <tr>
        <td id="select"><input type="checkbox" checked name="<?php echo $i ?>"></td>
        <td><?php echo $p[2] ?></td>
        <td><?php echo $p[0] ?></td>
        <td><?php echo $p[1] ?></td>
      </tr>
<?php
};

?>
</table><br />
<button id="send" type="submit">Senden</button></form>
<?php
}else{
    $anwesend = array();
    $abwesend= array();
    for($i=0; $i<sizeof($data); $i++){
        if (isset($_POST[$i])){
            array_push($anwesend, $i);
        }else{
            array_push($abwesend, $i);
        };
    };
    
    $protokollHeader = array(0, 0, 0, 0, 0, 0, "", 0, 0, array());
    $protokollHeader[0] = sizeof($anwesend);
    foreach ($anwesend as $id){
        $protokollHeader[1] += $data[$id][4];
        $protokollHeader[2] += $data[$id][3];
        $protokollHeader[3] += $data[$id][5];
        $protokollHeader[4] += $data[$id][6];
        $protokollHeader[5] += $data[$id][7];
        if ($data[$id][8] == "KV") {
            $protokollHeader[6] = "KV, ";
            $protokollHeader[4] += 1;
            
        };
        $protokollHeader[7] += $data[$id][9];
        $protokollHeader[8] += $data[$id][10];
        if ($data[$id][11] != "0") {
            array_push($protokollHeader[9], $data[$id][11]);
        };
    };
    switch (sizeof($protokollHeader[9])){
        case 0:
            $protokollHeader[9] = "";
            break;
        case 1:
            $protokollHeader[9] = ", PF(" . $protokollHeader[9][0] . ")";
            break;
        case 2:
            $protokollHeader[9] = ", PF(d,f)";
            break;
    }
    $text = "anwesende Personen: $protokollHeader[0]<br />
    anwesende Schülerratsmitglieder: $protokollHeader[1]<br />
    anwesende Schülersprecher: $protokollHeader[2]<br />
    anwesende Ausschussmitglieder: SA($protokollHeader[3]), FA($protokollHeader[4]), WA($protokollHeader[5])<br />
    andere anwesende Funktionsträger: $protokollHeader[6]VSK($protokollHeader[7]), sVSK($protokollHeader[8])$protokollHeader[9]";
    
    $txt_abs = "";
    foreach ($abwesend as $id){
        $txt_abs .= $data[$id][1] . " ". $data[$id][0] . ", " . $data[$id][2] . "<br />";
    };
    array_unshift($abwesend, date(c));
    $csv = fopen('abwesende.csv', 'a');
    fputcsv($csv, $abwesend);
    fclose($csv);
    
    $date = date(d) . '.' . date(m) . '.' . date(Y);
    $headers = "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
    $headers .= 'From: absenses CdÉ / Abwesenheiten SR<info@smv.dfglfa.net>' . "\r\n";
    //mail("abs@dfglfa.net", "absences lors de la réunion du Conseil des Élèves du " . $date, "Voici les absences lors de la réunion du Conseil des Élèves du " . $date . '<br />' . $txt_abs, $headers);
    mail("info@smv.dfglfa.net", "Schülerratssitzung am " . $date, $text . '<br /><hr />Abwesende:<br />' . $txt_abs, $headers);
    
    if ($protokollHeader[1]>=ceil((2/3)*NSR)) {
        echo "    ordentliche Sitzung: beschlussfähig + " . ($protokollHeader[1] - ceil(NSR/2)) . "<br>
    außerordentliche Sitzung: beschlussfähig + " . ($protokollHeader[1] - ceil((2/3)*NSR));
    }elseif ($protokollHeader[1]>=ceil(NSR/2)) {
        echo "    ordentliche Sitzung: beschlussfähig + " . ($protokollHeader[1] - ceil(NSR/2)) . "<br>
    außerordentliche Sitzung: beschlussUNfähig - " . (ceil((2/3)*NSR - $protokollHeader[1]) . " Die Sitzung ist gemäß GO-SR §1 Abs.10 in Verbindung mit Abs.1 aufzulösen.");
    }else{
        echo "    ordentliche Sitzung: beschlussUNfähig - " . (ceil(NSR/2) - $protokollHeader[1]) . " Die Sitzung ist gemäß GO-SR §1 Abs.10 aufzulösen.<br>
    außerordentliche Sitzung: beschlussUNfähig - " . (ceil((2/3)*NSR - $protokollHeader[1]) . " Die Sitzung ist gemäß GO-SR §1 Abs.10 in Verbindung mit Abs.1 aufzulösen.");
    };
    echo "
    <br /><hr />$text<br /><hr />Abwesende:<br />$txt_abs";
};
?></body></html>